# bin2o.c File Reference

`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`

Include dependency graph for bin2o.c:

## Data Structures

struct | elf_section_t
struct | elf_symbol_t

## Typedefs

typedef unsigned char | u8
typedef unsigned short | u16
typedef unsigned int | u32

## Functions

u32 | LE32 (u32 b)
u16 | LE16 (u16 b)
void | create_elf (FILE *dest, const unsigned char *source, u32 size, const char *label)
void | usage ()
int | main (int argc, char *argv[])

## Variables

int | alignment = 16
int | have_size = 1
int | have_irx = 0
unsigned char | elf_header []
char | shstrtab [] = "\0.shstrtab\0.symtab\0.strtab\0.data"

## Typedef Documentation

typedef unsigned short u16

typedef unsigned int u32

typedef unsigned char u8

## Function Documentation

void create_elf | ( | FILE * | dest,
|  | const unsigned char * | source,
|  | u32 | size,
|  | const char * | label
| ) |

u16 LE16 | ( | u16 | b | ) |

u32 LE32 | ( | u32 | b | ) |

int main | ( | int | argc,
|  | char * | argv[]
| ) |

void usage | ( |  | ) |

## Variable Documentation

int alignment = 16

unsigned char elf_header[]

Initial value:

     {
        0x7f,  'E',  'L',  'F', 0x01, 0x01, 0x01, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x01, 0x00,
        0x08, 0x00,
        0x01, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        0x34, 0x00, 0x00, 0x00,
        0x01, 0x40, 0x92, 0x20,
        0x34, 0x00,
        0x00, 0x00,
        0x00, 0x00,
        0x28, 0x00,
        0x05, 0x00,
        0x01, 0x00,
    }

int have_irx = 0

int have_size = 1

char shstrtab[] = "\0.shstrtab\0.symtab\0.strtab\0.data"